Summary:	Clone of a Risk clone
Name:		teg
Version:	0.11.2
Release:	%mkrel 10
URL:		http://teg.sourceforge.net/
License:	GPLv2+
Group:		Games/Strategy

Source0:	%{name}-%{version}.tar.bz2
Patch0:		teg-0.11.2-remove-de-comment.patch
BuildRequires:	GConf2
BuildRequires:	gnomeui2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q
%patch0 -p0
# strange perms on some files
chmod 640 AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO

%build
%configure2_5x --bindir=%{_gamesbindir}
%make


%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std bindir=%{_gamesbindir}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/gnome/apps/Games/*

mkdir -p %{buildroot}%{_iconsdir} \
	 %{buildroot}%{_miconsdir} \
	 %{buildroot}%{_liconsdir}
convert -geometry 48x48 client/teg_pix/teg_icono.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 client/teg_pix/teg_icono.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 client/teg_pix/teg_icono.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome/apps/Games/%name.desktop
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.11.2-10.mga3
+ Revision: 384214
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.11.2-9.mga3
+ Revision: 257624
+ rebuild (emptylog)

* Sun Jul 24 2011 stormi <stormi> 0.11.2-8.mga2
+ Revision: 128142
- increase release so that it's higher than in mageia 1

* Sun Jul 03 2011 zezinho <zezinho> 0.11.2-7.mga2
+ Revision: 117746
- imported package teg

